use strict;

use vars qw(%subdir_list);
use vars qw(%header_list);
use vars qw(%class_list);

BEGIN { %header_list = (
"EVGDrivers/GEVGDriver.h" => "Framework/EventGen/GEVGDriver.h",
"EVGDrivers/GEVGPool.h" => "Framework/EventGen/GEVGPool.h",
"EVGDrivers/GFluxI.h" => "Framework/EventGen/GFluxI.h",
"EVGDrivers/GMCJDriver.h" => "Framework/EventGen/GMCJDriver.h",
"EVGDrivers/GMCJMonitor.h" => "Framework/EventGen/GMCJMonitor.h",
"EVGDrivers/GeomAnalyzerI.h" => "Framework/EventGen/GeomAnalyzerI.h",
"AlvarezRuso/IntegrationTools.h" => "Framework/Numerical/IntegrationTools.h",
"AlvarezRuso/ARConstants.h" => "Physics/Coherent/XSection/ARConstants.h",
"AlvarezRuso/AREikonalSolution.h" => "Physics/Coherent/XSection/AREikonalSolution.h",
"AlvarezRuso/ARSampledNucleus.h" => "Physics/Coherent/XSection/ARSampledNucleus.h",
"AlvarezRuso/ARWFSolution.h" => "Physics/Coherent/XSection/ARWFSolution.h",
"AlvarezRuso/ARWavefunction.h" => "Physics/Coherent/XSection/ARWavefunction.h",
"AlvarezRuso/AlvarezRusoCOHPiPDXSec.h" => "Physics/Coherent/XSection/AlvarezRusoCOHPiPDXSec.h",
"AlvarezRuso/AlvarezRusoCOHPiPXSec.h" => "Physics/Coherent/XSection/AlvarezRusoCOHPiPXSec.h",
"Coherent/COHElHadronicSystemGenerator.h" => "Physics/Coherent/EventGen/COHElHadronicSystemGenerator.h",
"Coherent/COHElKinematicsGenerator.h" => "Physics/Coherent/EventGen/COHElKinematicsGenerator.h",
"Coherent/COHElasticPXSec.h" => "Physics/Coherent/EventGen/COHElasticPXSec.h",
"Coherent/COHHadronicSystemGenerator.h" => "Physics/Coherent/EventGen/COHHadronicSystemGenerator.h",
"Coherent/COHInteractionListGenerator.h" => "Physics/Coherent/EventGen/COHInteractionListGenerator.h",
"Coherent/COHKinematicsGenerator.h" => "Physics/Coherent/EventGen/COHKinematicsGenerator.h",
"Coherent/COHPrimaryLeptonGenerator.h" => "Physics/Coherent/EventGen/COHPrimaryLeptonGenerator.h",
"Coherent/LinkDef.h" => "Physics/Coherent/EventGen/LinkDef.h",
"BergerSehgal/BergerSehgalCOHPiPXSec2015.h" => "Physics/Coherent/XSection/BergerSehgalCOHPiPXSec2015.h",
"BergerSehgal/BergerSehgalFMCOHPiPXSec2015.h" => "Physics/Coherent/XSection/BergerSehgalFMCOHPiPXSec2015.h",
"AlvarezRuso/LinkDef.h" => "Physics/Coherent/XSection/LinkDef.h",
"ReinSehgal/ReinSehgalCOHPiPXSec.h" => "Physics/Coherent/XSection/ReinSehgalCOHPiPXSec.h",
"Diffractive/DFRHadronicSystemGenerator.h" => "Physics/Diffractive/EventGen/DFRHadronicSystemGenerator.h",
"Diffractive/DFRInteractionListGenerator.h" => "Physics/Diffractive/EventGen/DFRInteractionListGenerator.h",
"Diffractive/DFRKinematicsGenerator.h" => "Physics/Diffractive/EventGen/DFRKinematicsGenerator.h",
"Diffractive/DFRPrimaryLeptonGenerator.h" => "Physics/Diffractive/EventGen/DFRPrimaryLeptonGenerator.h",
"Diffractive/LinkDef.h" => "Physics/Diffractive/EventGen/LinkDef.h",
"ReinSehgal/LinkDef.h" => "Physics/Diffractive/XSection/LinkDef.h",
"ReinSehgal/ReinDFRPXSec.h" => "Physics/Diffractive/XSection/ReinDFRPXSec.h",
"QEL/LinkDef.h" => "Physics/QuasiElastic/EventGen/LinkDef.h",
"QEL/QELEventGenerator.h" => "Physics/QuasiElastic/EventGen/QELEventGenerator.h",
"QEL/QELHadronicSystemGenerator.h" => "Physics/QuasiElastic/EventGen/QELHadronicSystemGenerator.h",
"QEL/QELInteractionListGenerator.h" => "Physics/QuasiElastic/EventGen/QELInteractionListGenerator.h",
"QEL/QELKinematicsGenerator.h" => "Physics/QuasiElastic/EventGen/QELKinematicsGenerator.h",
"QEL/QELPrimaryLeptonGenerator.h" => "Physics/QuasiElastic/EventGen/QELPrimaryLeptonGenerator.h",
"Elastic/AhrensNCELPXSec.h" => "Physics/QuasiElastic/XSection/AhrensNCELPXSec.h",
"LlewellynSmith/AxialFormFactor.h" => "Physics/QuasiElastic/XSection/AxialFormFactor.h",
"LlewellynSmith/AxialFormFactorModelI.h" => "Physics/QuasiElastic/XSection/AxialFormFactorModelI.h",
"ElFF/BBA03ELFormFactorsModel.h" => "Physics/QuasiElastic/XSection/BBA03ELFormFactorsModel.h",
"ElFF/BBA05ELFormFactorsModel.h" => "Physics/QuasiElastic/XSection/BBA05ELFormFactorsModel.h",
"ElFF/BBA07ELFormFactorsModel.h" => "Physics/QuasiElastic/XSection/BBA07ELFormFactorsModel.h",
"LlewellynSmith/DipoleAxialFormFactorModel.h" => "Physics/QuasiElastic/XSection/DipoleAxialFormFactorModel.h",
"ElFF/DipoleELFormFactorsModel.h" => "Physics/QuasiElastic/XSection/DipoleELFormFactorsModel.h",
"ElFF/ELFormFactors.h" => "Physics/QuasiElastic/XSection/ELFormFactors.h",
"ElFF/ELFormFactorsModelI.h" => "Physics/QuasiElastic/XSection/ELFormFactorsModelI.h",
"LlewellynSmith/KuzminNaumov2016AxialFormFactorModel.h" => "Physics/QuasiElastic/XSection/KuzminNaumov2016AxialFormFactorModel.h",
"ElFF/LinkDef.h" => "Physics/QuasiElastic/XSection/LinkDef.h",
"LlewellynSmith/LwlynSmithFF.h" => "Physics/QuasiElastic/XSection/LwlynSmithFF.h",
"LlewellynSmith/LwlynSmithFFCC.h" => "Physics/QuasiElastic/XSection/LwlynSmithFFCC.h",
"LlewellynSmith/LwlynSmithFFDeltaS.h" => "Physics/QuasiElastic/XSection/LwlynSmithFFDeltaS.h",
"LlewellynSmith/LwlynSmithFFNC.h" => "Physics/QuasiElastic/XSection/LwlynSmithFFNC.h",
"LlewellynSmith/LwlynSmithQELCCPXSec.h" => "Physics/QuasiElastic/XSection/LwlynSmithQELCCPXSec.h",
"LlewellynSmith/NievesQELCCPXSec.h" => "Physics/QuasiElastic/XSection/NievesQELCCPXSec.h",
"LlewellynSmith/NievesQELException.h" => "Physics/QuasiElastic/XSection/NievesQELException.h",
"Elastic/RosenbluthPXSec.h" => "Physics/QuasiElastic/XSection/RosenbluthPXSec.h",
"ElFF/TransverseEnhancementFFModel.h" => "Physics/QuasiElastic/XSection/TransverseEnhancementFFModel.h",
"LlewellynSmith/ZExpAxialFormFactorModel.h" => "Physics/QuasiElastic/XSection/ZExpAxialFormFactorModel.h",
"MEC/LinkDef.h" => "Physics/Multinucleon/EventGen/LinkDef.h",
"MEC/MECGenerator.h" => "Physics/Multinucleon/EventGen/MECGenerator.h",
"MEC/MECInteractionListGenerator.h" => "Physics/Multinucleon/EventGen/MECInteractionListGenerator.h",
"MEC/EmpiricalMECPXSec2015.h" => "Physics/Multinucleon/XSection/EmpiricalMECPXSec2015.h",
"MEC/LinkDef.h" => "Physics/Multinucleon/XSection/LinkDef.h",
"MEC/MECHadronTensor.h" => "Physics/Multinucleon/XSection/MECHadronTensor.h",
"MEC/MECUtils.h" => "Physics/Multinucleon/XSection/MECUtils.h",
"MEC/MECXSec.h" => "Physics/Multinucleon/XSection/MECXSec.h",
"MEC/MartiniEricsonChanfrayMarteauMECPXSec2016.h" => "Physics/Multinucleon/XSection/MartiniEricsonChanfrayMarteauMECPXSec2016.h",
"MEC/NievesSimoVacasMECPXSec2016.h" => "Physics/Multinucleon/XSection/NievesSimoVacasMECPXSec2016.h",
"RES/LinkDef.h" => "Physics/Resonance/EventGen/LinkDef.h",
"RES/RESHadronicSystemGenerator.h" => "Physics/Resonance/EventGen/RESHadronicSystemGenerator.h",
"RES/RESInteractionListGenerator.h" => "Physics/Resonance/EventGen/RESInteractionListGenerator.h",
"RES/RESKinematicsGenerator.h" => "Physics/Resonance/EventGen/RESKinematicsGenerator.h",
"RES/RESPrimaryLeptonGenerator.h" => "Physics/Resonance/EventGen/RESPrimaryLeptonGenerator.h",
"ReinSehgal/BSKLNBaseRESPXSec2014.h" => "Physics/Resonance/XSection/BSKLNBaseRESPXSec2014.h",
"ReinSehgal/BergerSehgalRESPXSec2014.h" => "Physics/Resonance/XSection/BergerSehgalRESPXSec2014.h",
"ReinSehgal/FKR.h" => "Physics/Resonance/XSection/FKR.h",
"GiBUU/GiBUUData.h" => "Physics/Resonance/XSection/GiBUURESFormFactor.h",
"ReinSehgal/KuzminLyubushkinNaumovRESPXSec2014.h" => "Physics/Resonance/XSection/KuzminLyubushkinNaumovRESPXSec2014.h",
"ReinSehgal/LinkDef.h" => "Physics/Resonance/XSection/LinkDef.h",
"Paschos/P33PaschosLalakulichPXSec.h" => "Physics/Resonance/XSection/P33PaschosLalakulichPXSec.h",
"ReinSehgal/RSHelicityAmpl.h" => "Physics/Resonance/XSection/RSHelicityAmpl.h",
"ReinSehgal/RSHelicityAmplModelCC.h" => "Physics/Resonance/XSection/RSHelicityAmplModelCC.h",
"ReinSehgal/RSHelicityAmplModelEMn.h" => "Physics/Resonance/XSection/RSHelicityAmplModelEMn.h",
"ReinSehgal/RSHelicityAmplModelEMp.h" => "Physics/Resonance/XSection/RSHelicityAmplModelEMp.h",
"ReinSehgal/RSHelicityAmplModelI.h" => "Physics/Resonance/XSection/RSHelicityAmplModelI.h",
"ReinSehgal/RSHelicityAmplModelNCn.h" => "Physics/Resonance/XSection/RSHelicityAmplModelNCn.h",
"ReinSehgal/RSHelicityAmplModelNCp.h" => "Physics/Resonance/XSection/RSHelicityAmplModelNCp.h",
"ReinSehgal/ReinSehgalRESPXSec.h" => "Physics/Resonance/XSection/ReinSehgalRESPXSec.h",
"ReinSehgal/ReinSehgalRESXSec.h" => "Physics/Resonance/XSection/ReinSehgalRESXSec.h",
"ReinSehgal/ReinSehgalRESXSecWithCache.h" => "Physics/Resonance/XSection/ReinSehgalRESXSecWithCache.h",
"ReinSehgal/ReinSehgalSPPPXSec.h" => "Physics/Resonance/XSection/ReinSehgalSPPPXSec.h",
"ReinSehgal/ReinSehgalSPPXSec.h" => "Physics/Resonance/XSection/ReinSehgalSPPXSec.h",
"NuGamma/AMNuGammaGenerator.h" => "Physics/AnomalyMediatedNuGamma/AMNuGammaGenerator.h",
"NuGamma/AMNuGammaInteractionListGenerator.h" => "Physics/AnomalyMediatedNuGamma/AMNuGammaInteractionListGenerator.h",
"NuGamma/H3AMNuGammaPXSec.h" => "Physics/AnomalyMediatedNuGamma/H3AMNuGammaPXSec.h",
"NuGamma/LinkDef.h" => "Physics/AnomalyMediatedNuGamma/LinkDef.h",
"VHE/GLRESGenerator.h" => "Physics/GlashowResonance/GLRESGenerator.h",
"VHE/GLRESInteractionListGenerator.h" => "Physics/GlashowResonance/GLRESInteractionListGenerator.h",
"VHE/GLRESPXSec.h" => "Physics/GlashowResonance/GLRESPXSec.h",
"VHE/LinkDef.h" => "Physics/GlashowResonance/LinkDef.h",
"VLE/IBDHadronicSystemGenerator.h" => "Physics/InverseBetaDecay/EventGen/IBDHadronicSystemGenerator.h",
"VLE/IBDInteractionListGenerator.h" => "Physics/InverseBetaDecay/EventGen/IBDInteractionListGenerator.h",
"VLE/IBDKinematicsGenerator.h" => "Physics/InverseBetaDecay/EventGen/IBDKinematicsGenerator.h",
"VLE/IBDPrimaryLeptonGenerator.h" => "Physics/InverseBetaDecay/EventGen/IBDPrimaryLeptonGenerator.h",
"VLE/LinkDef.h" => "Physics/InverseBetaDecay/EventGen/LinkDef.h",
"VLE/VLEConstants.h" => "Physics/InverseBetaDecay/XSection/Constants.h",
"VLE/IBDXSecMap.h" => "Physics/InverseBetaDecay/XSection/IBDXSecMap.h",
"VLE/KLVOxygenIBDPXSec.h" => "Physics/InverseBetaDecay/XSection/KLVOxygenIBDPXSec.h",
"VLE/LinkDef.h" => "Physics/InverseBetaDecay/XSection/LinkDef.h",
"VLE/StrumiaVissaniIBDPXSec.h" => "Physics/InverseBetaDecay/XSection/StrumiaVissaniIBDPXSec.h",
"DIS/DISHadronicSystemGenerator.h" => "Physics/DeepInelastic/EventGen/DISHadronicSystemGenerator.h",
"DIS/DISInteractionListGenerator.h" => "Physics/DeepInelastic/EventGen/DISInteractionListGenerator.h",
"DIS/DISKinematicsGenerator.h" => "Physics/DeepInelastic/EventGen/DISKinematicsGenerator.h",
"DIS/DISPrimaryLeptonGenerator.h" => "Physics/DeepInelastic/EventGen/DISPrimaryLeptonGenerator.h",
"DIS/LinkDef.h" => "Physics/DeepInelastic/EventGen/LinkDef.h",
"BodekYang/BYPDF.h" => "Physics/DeepInelastic/XSection/BYPDF.h",
"BodekYang/BYStrucFunc.h" => "Physics/DeepInelastic/XSection/BYStrucFunc.h",
"PartonModel/LinkDef.h" => "Physics/DeepInelastic/XSection/LinkDef.h",
"PartonModel/QPMDISPXSec.h" => "Physics/DeepInelastic/XSection/QPMDISPXSec.h",
"PartonModel/QPMDISStrucFunc.h" => "Physics/DeepInelastic/XSection/QPMDISStrucFunc.h",
"PartonModel/QPMDISStrucFuncBase.h" => "Physics/DeepInelastic/XSection/QPMDISStrucFuncBase.h",
"Physics/AnomalyMediatedNuGamma/AMNuGammaGenerator.h" => "Physics/AnomalyMediatedNuGamma/EventGen/AMNuGammaGenerator.h",
"Physics/AnomalyMediatedNuGamma/AMNuGammaInteractionListGenerator.h" => "Physics/AnomalyMediatedNuGamma/EventGen/AMNuGammaInteractionListGenerator.h",
"Physics/AnomalyMediatedNuGamma/LinkDef.h" => "Physics/AnomalyMediatedNuGamma/EventGen/LinkDef.h",
"Physics/AnomalyMediatedNuGamma/H3AMNuGammaPXSec.h" => "Physics/AnomalyMediatedNuGamma/XSection/H3AMNuGammaPXSec.h",
"Physics/AnomalyMediatedNuGamma/LinkDef.h" => "Physics/AnomalyMediatedNuGamma/XSection/LinkDef.h",
"Physics/GlashowResonance/GLRESGenerator.h" => "Physics/GlashowResonance/EventGen/GLRESGenerator.h",
"Physics/GlashowResonance/GLRESInteractionListGenerator.h" => "Physics/GlashowResonance/EventGen/GLRESInteractionListGenerator.h",
"Physics/GlashowResonance/LinkDef.h" => "Physics/GlashowResonance/EventGen/LinkDef.h",
"Physics/GlashowResonance/GLRESPXSec.h" => "Physics/GlashowResonance/XSection/GLRESPXSec.h",
"Physics/GlashowResonance/LinkDef.h" => "Physics/GlashowResonance/XSection/LinkDef.h",
"NuE/LinkDef.h" => "Physics/NuElectron/EventGen/LinkDef.h",
"NuE/NuEInteractionListGenerator.h" => "Physics/NuElectron/EventGen/NuEInteractionListGenerator.h",
"NuE/NuEKinematicsGenerator.h" => "Physics/NuElectron/EventGen/NuEKinematicsGenerator.h",
"NuE/NuEPrimaryLeptonGenerator.h" => "Physics/NuElectron/EventGen/NuEPrimaryLeptonGenerator.h",
"NuE/NuETargetRemnantGenerator.h" => "Physics/NuElectron/EventGen/NuETargetRemnantGenerator.h",
"NuE/BardinIMDRadCorPXSec.h" => "Physics/NuElectron/XSection/BardinIMDRadCorPXSec.h",
"NuE/IMDAnnihilationPXSec.h" => "Physics/NuElectron/XSection/IMDAnnihilationPXSec.h",
"NuE/LinkDef.h" => "Physics/NuElectron/XSection/LinkDef.h",
"NuE/NuElectronPXSec.h" => "Physics/NuElectron/XSection/NuElectronPXSec.h",
"Charm/AivazisCharmPXSecLO.h" => "Physics/Charm/XSection/AivazisCharmPXSecLO.h",
"Charm/KovalenkoQELCharmPXSec.h" => "Physics/Charm/XSection/KovalenkoQELCharmPXSec.h",
"Charm/LinkDef.h" => "Physics/Charm/XSection/LinkDef.h",
"Charm/SlowRsclCharmDISPXSecLO.h" => "Physics/Charm/XSection/SlowRsclCharmDISPXSecLO.h",
"CrossSections/COHXSec.h" => "Physics/XSectionIntegration/COHXSec.h",
"CrossSections/COHXSecAR.h" => "Physics/XSectionIntegration/COHXSecAR.h",
"CrossSections/DFRXSec.h" => "Physics/XSectionIntegration/DFRXSec.h",
"CrossSections/DISXSec.h" => "Physics/XSectionIntegration/DISXSec.h",
"CrossSections/GSLXSecFunc.h" => "Physics/XSectionIntegration/GSLXSecFunc.h",
"CrossSections/IMDXSec.h" => "Physics/XSectionIntegration/IMDXSec.h",
"CrossSections/LinkDef.h" => "Physics/XSectionIntegration/LinkDef.h",
"CrossSections/NuElectronXSec.h" => "Physics/XSectionIntegration/NuElectronXSec.h",
"CrossSections/QELXSec.h" => "Physics/XSectionIntegration/QELXSec.h",
"CrossSections/RESXSec.h" => "Physics/XSectionIntegration/RESXSec.h",
"Decay/BaryonResonanceDecayer.h" => "Physics/Decay/BaryonResonanceDecayer.h",
"Decay/DecayModelI.h" => "Physics/Decay/DecayModelI.h",
"Decay/DecayerInputs.h" => "Physics/Decay/DecayerInputs.h",
"Decay/LinkDef.h" => "Physics/Decay/LinkDef.h",
"Decay/PythiaDecayer.h" => "Physics/Decay/PythiaDecayer.h",
"HadronTransport/HAIntranuke.h" => "Physics/HadronTransport/HAIntranuke.h",
"HadronTransport/HAIntranuke2014.h" => "Physics/HadronTransport/HAIntranuke2014.h",
"HadronTransport/HAIntranuke2015.h" => "Physics/HadronTransport/HAIntranuke2015.h",
"HadronTransport/HNIntranuke.h" => "Physics/HadronTransport/HNIntranuke.h",
"HadronTransport/HNIntranuke2014.h" => "Physics/HadronTransport/HNIntranuke2014.h",
"HadronTransport/HNIntranuke2015.h" => "Physics/HadronTransport/HNIntranuke2015.h",
"HadronTransport/INukeDeltaPropg.h" => "Physics/HadronTransport/INukeDeltaPropg.h",
"HadronTransport/INukeException.h" => "Physics/HadronTransport/INukeException.h",
"HadronTransport/INukeHadroData.h" => "Physics/HadronTransport/INukeHadroData.h",
"HadronTransport/INukeHadroData2014.h" => "Physics/HadronTransport/INukeHadroData2014.h",
"HadronTransport/INukeHadroData2015.h" => "Physics/HadronTransport/INukeHadroData2015.h",
"HadronTransport/INukeHadroFates.h" => "Physics/HadronTransport/INukeHadroFates.h",
"HadronTransport/INukeMode.h" => "Physics/HadronTransport/INukeMode.h",
"HadronTransport/INukeNucleonCorr.h" => "Physics/HadronTransport/INukeNucleonCorr.h",
"HadronTransport/INukeOset.h" => "Physics/HadronTransport/INukeOset.h",
"HadronTransport/INukeOsetFormula.h" => "Physics/HadronTransport/INukeOsetFormula.h",
"HadronTransport/INukeOsetTable.h" => "Physics/HadronTransport/INukeOsetTable.h",
"HadronTransport/INukeUtils.h" => "Physics/HadronTransport/INukeUtils.h",
"HadronTransport/INukeUtils2014.h" => "Physics/HadronTransport/INukeUtils2014.h",
"HadronTransport/INukeUtils2015.h" => "Physics/HadronTransport/INukeUtils2015.h",
"HadronTransport/Intranuke.h" => "Physics/HadronTransport/Intranuke.h",
"HadronTransport/Intranuke2014.h" => "Physics/HadronTransport/Intranuke2014.h",
"HadronTransport/Intranuke2015.h" => "Physics/HadronTransport/Intranuke2015.h",
"HadronTransport/LinkDef.h" => "Physics/HadronTransport/LinkDef.h",
"Fragmentation/CharmHadronization.h" => "Physics/Hadronization/CharmHadronization.h",
"Fragmentation/CollinsSpillerFragm.h" => "Physics/Hadronization/CollinsSpillerFragm.h",
"Fragmentation/FragmentationFunctionI.h" => "Physics/Hadronization/FragmentationFunctionI.h",
"Fragmentation/FragmentationFunctions.h" => "Physics/Hadronization/FragmentationFunctions.h",
"Fragmentation/HadronizationModelBase.h" => "Physics/Hadronization/HadronizationModelBase.h",
"Fragmentation/HadronizationModelI.h" => "Physics/Hadronization/HadronizationModelI.h",
"Fragmentation/KNOHadronization.h" => "Physics/Hadronization/KNOHadronization.h",
"Fragmentation/KNOPythiaHadronization.h" => "Physics/Hadronization/KNOPythiaHadronization.h",
"Fragmentation/LinkDef.h" => "Physics/Hadronization/LinkDef.h",
"Fragmentation/Multiplicity.h" => "Physics/Hadronization/Multiplicity.h",
"Fragmentation/PetersonFragm.h" => "Physics/Hadronization/PetersonFragm.h",
"Fragmentation/PythiaHadronization.h" => "Physics/Hadronization/PythiaHadronization.h",
"MuELoss/BetheBlochMaterialParams.h" => "Physics/MuonEnergyLoss/BetheBlochMaterialParams.h",
"MuELoss/BetheBlochModel.h" => "Physics/MuonEnergyLoss/BetheBlochModel.h",
"MuELoss/BezrukovBugaevModel.h" => "Physics/MuonEnergyLoss/BezrukovBugaevModel.h",
"MuELoss/KokoulinPetrukhinModel.h" => "Physics/MuonEnergyLoss/KokoulinPetrukhinModel.h",
"MuELoss/LinkDef.h" => "Physics/MuonEnergyLoss/LinkDef.h",
"MuELoss/MuELMaterial.h" => "Physics/MuonEnergyLoss/MuELMaterial.h",
"MuELoss/MuELProcess.h" => "Physics/MuonEnergyLoss/MuELProcess.h",
"MuELoss/MuELossI.h" => "Physics/MuonEnergyLoss/MuELossI.h",
"MuELoss/PetrukhinShestakovModel.h" => "Physics/MuonEnergyLoss/PetrukhinShestakovModel.h",
"NeutronOsc/LinkDef.h" => "Physics/NNBarOscillation/LinkDef.h",
"NeutronOsc/NOscDummyInteractionListGenerator.h" => "Physics/NNBarOscillation/NOscDummyInteractionListGenerator.h",
"NeutronOsc/NOscDummyPXSec.h" => "Physics/NNBarOscillation/NOscDummyPXSec.h",
"NeutronOsc/NeutronOscMode.h" => "Physics/NNBarOscillation/NNBarOscMode.h",
"NeutronOsc/NeutronOscPrimaryVtxGenerator.h" => "Physics/NNBarOscillation/NeutronOscPrimaryVtxGenerator.h",
"NeutronOsc/NeutronOscUtils.h" => "Physics/NNBarOscillation/NeutronOscUtils.h",
"Nuclear/EffectiveSF.h" => "Physics/NuclearState/EffectiveSF.h",
"Nuclear/FGMBodekRitchie.h" => "Physics/NuclearState/FGMBodekRitchie.h",
"Nuclear/FermiMomentumTable.h" => "Physics/NuclearState/FermiMomentumTable.h",
"Nuclear/FermiMomentumTablePool.h" => "Physics/NuclearState/FermiMomentumTablePool.h",
"Nuclear/LinkDef.h" => "Physics/NuclearState/LinkDef.h",
"Nuclear/LocalFGM.h" => "Physics/NuclearState/LocalFGM.h",
"Nuclear/NuclearData.h" => "Physics/NuclearState/NuclearData.h",
"Nuclear/NuclearModelMap.h" => "Physics/NuclearState/NuclearModelMap.h",
"Nuclear/SpectralFunc.h" => "Physics/NuclearState/SpectralFunc.h",
"Nuclear/SpectralFunc1d.h" => "Physics/NuclearState/SpectralFunc1d.h",
"NucleonDecay/DummyInteractionListGenerator.h" => "Physics/NucleonDecay/DummyInteractionListGenerator.h",
"NucleonDecay/DummyPXSec.h" => "Physics/NucleonDecay/DummyPXSec.h",
"NucleonDecay/LinkDef.h" => "Physics/NucleonDecay/LinkDef.h",
"NucleonDecay/NucleonDecayMode.h" => "Physics/NucleonDecay/NucleonDecayMode.h",
"NucleonDecay/NucleonDecayPrimaryVtxGenerator.h" => "Physics/NucleonDecay/NucleonDecayPrimaryVtxGenerator.h",
"NucleonDecay/NucleonDecayUtils.h" => "Physics/NucleonDecay/NucleonDecayUtils.h",
"PDF/GRV98LO.h" => "Physics/PDF/GRV98LO.h",
"PDF/LinkDef.h" => "Physics/PDF/LinkDef.h",
"PDF/PDF.h" => "Physics/PDF/PDF.h",
"PDF/PDFLIB.h" => "Physics/PDF/PDFLIB.h",
"PDF/PDFModelI.h" => "Physics/PDF/PDFModelI.h",
"PDF/PDFt.h" => "Physics/PDF/PDFt.h",
"SingleKaon/LinkDef.h" => "Physics/Strange/EventGen/LinkDef.h",
"SingleKaon/SKHadronicSystemGenerator.h" => "Physics/Strange/EventGen/SKHadronicSystemGenerator.h",
"SingleKaon/SKInteractionListGenerator.h" => "Physics/Strange/EventGen/SKInteractionListGenerator.h",
"SingleKaon/SKKinematicsGenerator.h" => "Physics/Strange/EventGen/SKKinematicsGenerator.h",
"SingleKaon/SKPrimaryLeptonGenerator.h" => "Physics/Strange/EventGen/SKPrimaryLeptonGenerator.h",
"SingleKaon/AlamSimoAtharVacasSKPXSec2014.h" => "Physics/Strange/XSection/AlamSimoAtharVacasSKPXSec2014.h",
"SingleKaon/AlamSimoAtharVacasSKXSec.h" => "Physics/Strange/XSection/AlamSimoAtharVacasSKXSec.h",
"Charm/LinkDef.h" => "Physics/Strange/XSection/LinkDef.h",
"Charm/PaisQELLambdaPXSec.h" => "Physics/Strange/XSection/PaisQELLambdaPXSec.h",
"Base/DISStructureFunc.h" => "Physics/DeepInelastic/XSection/DISStructureFunc.h",
"Base/DISStructureFuncModelI.h" => "Physics/DeepInelastic/XSection/DISStructureFuncModelI.h",
"Base/QELFormFactors.h" => "Physics/QuasiElastic/XSection/QELFormFactors.h",
"Base/QELFormFactorsModelI.h" => "Physics/QuasiElastic/XSection/QELFormFactorsModelI.h",
"Base/XSecAlgorithmI.h" => "Framework/EventGen/XSecAlgorithmI.h",
"Base/XSecIntegratorI.h" => "Physics/XSectionIntegration/XSecIntegratorI.h",
"Physics/XSectionIntegration/COHXSec.h" => "Physics/Coherent/XSection/COHXSec.h",
"Physics/XSectionIntegration/COHXSecAR.h" => "Physics/Coherent/XSection/COHXSecAR.h",
"Physics/XSectionIntegration/DISXSec.h" => "Physics/DeepInelastic/XSection/DISXSec.h",
"Physics/XSectionIntegration/DFRXSec.h" => "Physics/Diffractive/XSection/DFRXSec.h",
"Physics/XSectionIntegration/IMDXSec.h" => "Physics/NuElectron/XSection/IMDXSec.h",
"Physics/XSectionIntegration/NuElectronXSec.h" => "Physics/NuElectron/XSection/NuElectronXSec.h",
"Physics/XSectionIntegration/QELXSec.h" => "Physics/QuasiElastic/XSection/QELXSec.h",
"Physics/XSectionIntegration/RESXSec.h" => "Physics/Resonance/XSection/RESXSec.h",
"RES/RSPPHadronicSystemGenerator.h" => "Physics/Resonance/EventGen/RSPPHadronicSystemGenerator.h",
"RES/RSPPInteractionListGenerator.h" => "Physics/Resonance/EventGen/RSPPInteractionListGenerator.h",
"RES/RSPPResonanceSelector.h" => "Physics/Resonance/EventGen/RSPPResonanceSelector.h",
"EVGDrivers/PathLengthList.h" => "Framework/EventGen/PathLengthList.h",
"EVGModules/UnstableParticleDecayer.h" => "Physics/Decay/UnstableParticleDecayer.h",
"EVGModules/HadronTransporter.h" => "Physics/HadronTransport/HadronTransporter.h",
"EVGModules/FermiMover.h" => "Physics/NuclearState/FermiMover.h",
"EVGModules/PauliBlocker.h" => "Physics/NuclearState/PauliBlocker.h",
"EVGModules/NucBindEnergyAggregator.h" => "Physics/HadronTransport/NucBindEnergyAggregator.h",
"EVGModules/NucDeExcitationSim.h" => "Physics/NuclearDeExcitation/NucDeExcitationSim.h",
"EVGModules/HadronicSystemGenerator.h" => "Physics/Common/HadronicSystemGenerator.h",
"EVGModules/InitialStateAppender.h" => "Physics/Common/InitialStateAppender.h",
"EVGModules/KineGeneratorWithCache.h" => "Physics/Common/KineGeneratorWithCache.h",
"EVGModules/LinkDef.h" => "Physics/Common/LinkDef.h",
"EVGModules/PrimaryLeptonGenerator.h" => "Physics/Common/PrimaryLeptonGenerator.h",
"EVGModules/VertexGenerator.h" => "Physics/Common/VertexGenerator.h",
"Framework/Utils/GSLUtils.h" => "Framework/Numerical/GSLUtils.h",
"Framework/Utils/MathUtils.h" => "Framework/Numerical/MathUtils.h",
"Framework/Utils/NuclearUtils.h" => "Physics/NuclearState/NuclearUtils.h",
"Framework/Utils/FragmRecUtils.h" => "Physics/Hadronization/FragmRecUtils.h",
"Conventions/Constants.h" => "Framework/Conventions/Constants.h",
"GHEP/GHepStatus.h" => "Framework/GHEP/GHepStatus.h",
"GHEP/GHepParticle.h" => "Framework/GHEP/GHepParticle.h",
"GHEP/GHepRecord.h" => "Framework/GHEP/GHepRecord.h",
"Messenger/Messenger.h" => "Framework/Messenger/Messenger.h",
"Numerical/RandomGen.h" => "Framework/Numerical/RandomGen.h",
"PDG/PDGCodes.h" => "Framework/ParticleData/PDGCodes.h",
"PDG/PDGUtils.h" => "Framework/ParticleData/PDGUtils.h",
"PDG/PDGLibrary.h" => "Framework/ParticleData/PDGLibrary.h",
"PDG/PDGLibrary.h" => "Framework/ParticleData/PDGLibrary.h",
"EVGCore/EventRecordVisitorI.h" => "Framework/EventGen/EventRecordVisitorI.h",
"EVGCore/InteractionList.h" => "Framework/EventGen/InteractionList.h",
"EVGCore/InteractionListGeneratorI.h" => "Framework/EventGen/InteractionListGeneratorI.h",
"Interaction/Interaction.h" => "Framework/Interaction/Interaction.h",
"Conventions/RefFrame.h" => "Framework/Conventions/RefFrame.h",
"Interaction/InitialState.h" => "Framework/Interaction/InitialState.h",
"Interaction/ProcessInfo.h" => "Framework/Interaction/ProcessInfo.h",
"Interaction/Kinematics.h" => "Framework/Interaction/Kinematics.h",
"Interaction/XclsTag.h" => "Framework/Interaction/XclsTag.h",
"Interaction/KPhaseSpace.h" => "Framework/Interaction/KPhaseSpace.h",
"Interaction/Target.h" => "Framework/Interaction/Target.h",
"BaryonResonance/BaryonResonance.h" => "Framework/ParticleData/BaryonResonance.h",
"BaryonResonance/BaryonResUtils.h" => "Framework/ParticleData/BaryonResUtils.h",
"Conventions/KineVar.h" => "Framework/Conventions/KineVar.h",
"Utils/Range1.h" => "Framework/Utils/Range1.h",
"Interaction/InteractionType.h" => "Framework/Interaction/InteractionType.h",
"Interaction/ScatteringType.h" => "Framework/Interaction/ScatteringType.h",
"Conventions/GBuild.h" => "Framework/Conventions/GBuild.h",
"Conventions/Controls.h" => "Framework/Conventions/Controls.h",
"Utils/StringUtils.h" => "Framework/Utils/StringUtils.h",
"Utils/PrintUtils.h" => "Framework/Utils/PrintUtils.h",
"Utils/XmlParserUtils.h" => "Framework/Utils/XmlParserUtils.h",
"Numerical/Spline.h" => "Framework/Numerical/Spline.h",
"Algorithm/AlgConfigPool.h" => "Framework/Algorithm/AlgConfigPool.h",
"Algorithm/AlgStatus.h" => "Framework/Algorithm/AlgStatus.h",
"Algorithm/AlgCmp.h" => "Framework/Algorithm/AlgCmp.h",
"Algorithm/AlgFactory.h" => "Framework/Algorithm/AlgFactory.h",
"Algorithm/AlgId.h" => "Framework/Algorithm/AlgId.h",
"Algorithm/Algorithm.h" => "Framework/Algorithm/Algorithm.h",
"Registry/RegistryItemTypeDef.h" => "Framework/Registry/RegistryItemTypeDef.h",
"Registry/RegistryItemTypeId.h" => "Framework/Registry/RegistryItemTypeId.h",
"Registry/Registry.h" => "Framework/Registry/Registry.h",
"Registry/RegistryItem.h" => "Framework/Registry/RegistryItem.h",
"Registry/RegistryItemI.h" => "Framework/Registry/RegistryItemI.h",
"Conventions/GMode.h" => "Framework/Conventions/GMode.h",
"Conventions/KinePhaseSpace.h" => "Framework/Conventions/KinePhaseSpace.h",
"GHEP/GHepVirtualList.h" => "Framework/GHEP/GHepVirtualList.h",
"Conventions/Units.h" => "Framework/Conventions/Units.h",
"Ntuple/NtpMCRecHeader.h" => "Framework/Ntuple/NtpMCRecHeader.h",
"Ntuple/NtpMCFormat.h" => "Framework/Ntuple/NtpMCFormat.h",
"Ntuple/NtpMCDTime.h" => "Framework/Ntuple/NtpMCDTime.h",
"Ntuple/NtpMCRecordI.h" => "Framework/Ntuple/NtpMCRecordI.h",
"EVGCore/EventRecord.h" => "Framework/EventGen/EventRecord.h",
"EVGCore/EVGThreadException.h" => "Framework/EventGen/EVGThreadException.h",
"GHEP/GHepFlags.h" => "Framework/GHEP/GHepFlags.h",
"GHEP/GHepRecordHistory.h" => "Framework/GHEP/GHepRecordHistory.h",
"GHEP/GHepVirtualListFolder.h" => "Framework/GHEP/GHepVirtualListFolder.h",
"Numerical/BLI2D.h" => "Framework/Numerical/BLI2D.h",
"Utils/GSLUtils.h" => "Framework/Numerical/GSLUtils.h",
"Utils/ConfigIsotopeMapUtils.h" => "Framework/Utils/ConfigIsotopeMapUtils.h",
"Utils/CacheBranchI.h" => "Framework/Utils/CacheBranchI.h",
"Utils/RunOpt.h" => "Framework/Utils/RunOpt.h",
"Conventions/XmlParserStatus.h" => "Framework/Conventions/XmlParserStatus.h",
"Utils/CmdLnArgParser.h" => "Framework/Utils/CmdLnArgParser.h",
"Utils/SystemUtils.h" => "Framework/Utils/SystemUtils.h",
"EVGCore/EventGeneratorI.h" => "Framework/EventGen/EventGeneratorI.h",
"EVGCore/GVldContext.h" => "Framework/EventGen/GVldContext.h",
"EVGCore/EventGeneratorListAssembler.h" => "Framework/EventGen/EventGeneratorListAssembler.h",
"EVGCore/EventGeneratorList.h" => "Framework/EventGen/EventGeneratorList.h",
"EVGCore/EventGenerator.h" => "Framework/EventGen/EventGenerator.h",
"EVGCore/RunningThreadInfo.h" => "Framework/EventGen/RunningThreadInfo.h",
"EVGCore/InteractionGeneratorMap.h" => "Framework/EventGen/InteractionGeneratorMap.h",
"EVGCore/InteractionSelectorI.h" => "Framework/EventGen/InteractionSelectorI.h",
"EVGCore/ToyInteractionSelector.h" => "Framework/EventGen/ToyInteractionSelector.h",
"EVGCore/XSecAlgorithmMap.h" => "Framework/EventGen/XSecAlgorithmMap.h",
"EVGCore/PhysInteractionSelector.h" => "Framework/EventGen/PhysInteractionSelector.h",
"Utils/XSecSplineList.h" => "Framework/Utils/XSecSplineList.h",
"EVGCore/InteractionListAssembler.h" => "Framework/EventGen/InteractionListAssembler.h",
"PDG/PDGCodeList.h" => "Framework/ParticleData/PDGCodeList.h",
"Framework/BaryonResonance/BaryonResUtils.h" => "Framework/ParticleData/BaryonResUtils.h",
"Framework/BaryonResonance/BaryonResonance.h" => "Framework/ParticleData/BaryonResonance.h",
"Framework/Utils/NaturalIsotopes.h" => "Framework/ParticleData/NaturalIsotopes.h",
"Framework/BaryonResonance/BaryonResonance.h" => "Framework/ParticleData/BaryonResonance.h",
"Interaction/InteractionException.h" => "Framework/Interaction/InteractionException.h",
"Utils/KineUtils.h" => "Framework/Utils/KineUtils.h",
"Utils/MathUtils.h" => "Framework/Numerical/MathUtils.h",
"GHEP/GHepUtils.h" => "Framework/GHEP/GHepUtils.h",
"Numerical/Interpolator2D.h" => "Framework/Numerical/Interpolator2D.h",
"Utils/BWFunc.h" => "Framework/Utils/BWFunc.h",
"BaryonResonance/BaryonResList.h" => "Framework/ParticleData/BaryonResList.h",
"Utils/NaturalIsotopes.h" => "Framework/ParticleData/NaturalIsotopes.h",
"Utils/CacheBranchFx.h" => "Framework/Utils/CacheBranchFx.h",
"Utils/GUIUtils.h" => "Framework/Utils/GUIUtils.h",
"Utils/Cache.h" => "Framework/Utils/Cache.h",
"Utils/PREM.h" => "Framework/Utils/PREM.h",
"Utils/UnitUtils.h" => "Framework/Utils/UnitUtils.h",
"Utils/CacheBranchNtp.h" => "Framework/Utils/CacheBranchNtp.h",
"Utils/HadXSUtils.h" => "Framework/Utils/HadXSUtils.h",
"Utils/Style.h" => "Framework/Utils/Style.h",
"Utils/PhysUtils.h" => "Framework/Utils/PhysUtils.h",
"Conventions/GVersion.h" => "Framework/Conventions/GVersion.h",
"Utils/GSimFiles.h" => "Framework/Utils/GSimFiles.h",
"Utils/NuclearUtils.h" => "Physics/NuclearState/NuclearUtils.h",
"Physics/PDF/PDFLIB.h" => "Physics/PartonDistributions/PDFLIB.h",
"Physics/PDF/PDF.h" => "Physics/PartonDistributions/PDF.h",
"Physics/PDF/PDFModelI.h" => "Physics/PartonDistributions/PDFModelI.h",
"Physics/PDF/PDFt.h" => "Physics/PartonDistributions/PDFt.h",
"Physics/PDF/GRV98LO.h" => "Physics/PartonDistributions/GRV98LO.h",
"Utils/FragmRecUtils.h" => "Physics/Hadronization/FragmRecUtils.h",
"Conventions/Controls.h" => "Framework/Conventions/Controls.h",
"GiBUU/GiBUURESFormFactor.h" => "Physics/Resonance/XSection/GiBUURESFormFactor.h",
"BaryonResonance/BaryonResParams.h" => "Framework/ParticleData/BaryonResParams.h",
"BaryonResonance/BaryonResDataSetI.h" => "Physics/Resonance/XSection/P33PaschosLalakulichPXSec.h",
"Interaction/SppChannel.h" => "Framework/Interaction/SppChannel.h",
"FluxDrivers/GFlavorMixerI.h" => "Tools/Flux/GFlavorMixerI.h",
"FluxDrivers/GFluxExposureI.h" => "Tools/Flux/GFluxExposureI.h",
"FluxDrivers/GFluxFileConfigI.h" => "Tools/Flux/GFluxFileConfigI.h",
"FluxDrivers/GAtmoFlux.h" => "Tools/Flux/GAtmoFlux.h",
"FluxDrivers/GAstroFlux.h" => "Tools/Flux/GAstroFlux.h",
"FluxDrivers/GNuMIFlux.h" => "Tools/Flux/GNuMIFlux.h",
"FluxDrivers/GSimpleNtpFlux.h" => "Tools/Flux/GSimpleNtpFlux.h",
"FluxDrivers/GFluxBlender.h" => "Tools/Flux/GFluxBlender.h",
"FluxDrivers/GFlavorMap.h" => "Tools/Flux/GFlavorMap.h",
"FluxDrivers/GFlavorMixerFactory.h" => "Tools/Flux/GFlavorMixerFactory.h",
"FluxDrivers/GNuMINtuple/g3numi.h" => "Tools/Flux/GNuMINtuple/g3numi.h",
"FluxDrivers/GNuMINtuple/g4numi.h" => "Tools/Flux/GNuMINtuple/g4numi.h",
"FluxDrivers/GNuMINtuple/g3numi.C" => "Tools/Flux/GNuMINtuple/g3numi.C",
"FluxDrivers/GNuMINtuple/g4numi.C" => "Tools/Flux/GNuMINtuple/g4numi.C",
"FluxDrivers/GNuMINtuple/flugg.h" => "Tools/Flux/GNuMINtuple/flugg.h",
"FluxDrivers/GNuMINtuple/flugg.C" => "Tools/Flux/GNuMINtuple/flugg.C",
"FluxDrivers/GFluxDriverFactory.h" => "Tools/Flux/GFluxDriverFactory.h",
"FluxDrivers/GJPARCNuFlux.h" => "Tools/Flux/GJPARCNuFlux.h",
"FluxDrivers/GHAKKMAtmoFlux.h" => "Tools/Flux/GHAKKMAtmoFlux.h",
"FluxDrivers/GCylindTH1Flux.h" => "Tools/Flux/GCylindTH1Flux.h",
"FluxDrivers/GBGLRSAtmoFlux.h" => "Tools/Flux/GBGLRSAtmoFlux.h",
"FluxDrivers/GFLUKAAtmoFlux.h" => "Tools/Flux/GFLUKAAtmoFlux.h",
"FluxDrivers/GMonoEnergeticFlux.h" => "Tools/Flux/GMonoEnergeticFlux.h",
"Geo/GeomVolSelectorI.h" => "Tools/Geometry/GeomVolSelectorI.h",
"Geo/FidShape.h" => "Tools/Geometry/FidShape.h",
"Geo/PathSegmentList.h" => "Tools/Geometry/PathSegmentList.h",
"Geo/GeomVolSelectorBasic.h" => "Tools/Geometry/GeomVolSelectorBasic.h",
"Geo/GeomVolSelectorFiducial.h" => "Tools/Geometry/GeomVolSelectorFiducial.h",
"Geo/ROOTGeomAnalyzer.h" => "Tools/Geometry/ROOTGeomAnalyzer.h",
"Geo/PointGeomAnalyzer.h" => "Tools/Geometry/PointGeomAnalyzer.h",
"Geo/GeoUtils.h" => "Tools/Geometry/GeoUtils.h",
"Geo/GeomVolSelectorRockBox.h" => "Tools/Geometry/GeomVolSelectorRockBox.h",
"Ntuple/NtpWriter.h" => "Framework/Ntuple/NtpWriter.h",
"Geo/PointGeomAnalyzer.h" => "Tools/Geometry/PointGeomAnalyzer.h",
"Ntuple/NtpMCFormat.h" => "Framework/Ntuple/NtpMCFormat.h",
"Ntuple/NtpMCJobConfig.h" => "Framework/Ntuple/NtpMCJobConfig.h",
"Conventions/EnvSnapshot.h" => "Framework/Conventions/EnvSnapshot.h",
"Ntuple/NtpMCJobEnv.h" => "Framework/Ntuple/NtpMCJobEnv.h",
"Ntuple/NtpMCEventRecord.h" => "Framework/Ntuple/NtpMCEventRecord.h",
"Ntuple/NtpMCTreeHeader.h" => "Framework/Ntuple/NtpMCTreeHeader.h",
"Masterclass/MCTruthDisplay.h" => "Tools/Masterclass/MCTruthDisplay.h",
"Masterclass/FastSimScintCalo.h" => "Tools/Masterclass/FastSimScintCalo.h",
"Masterclass/FastSimCherenkov.h" => "Tools/Masterclass/FastSimCherenkov.h",
"Masterclass/GNuMcMainFrame.h" => "Tools/Masterclass/GNuMcMainFrame.h",
"Ntuple/NtpMCTreeHeader.h" => "Framework/Ntuple/NtpMCTreeHeader.h",
"Utils/T2KEvGenMetaData.h" => "Framework/Utils/T2KEvGenMetaData.h",
"Types/NuclearModel.h" => "Physics/NuclearState/NuclearModel.h",
"Interfaces/NuclearModelI.h" => "Physics/NuclearState/NuclearModelI.h",
"ReWeight/GSyst.h" => "Tools/ReWeight/GSyst.h",
"Tools/ReWeight/GSyst.h" => "RwFramework/GSyst.h",
"ReWeight/GSystSet.h" => "Tools/ReWeight/GSystSet.h",
"Tools/ReWeight/GSystSet.h" => "RwFramework/GSystSet.h",
"ReWeight/GReWeight.h" => "Tools/ReWeight/GReWeight.h",
"Tools/ReWeight/GReWeight.h" => "RwFramework/GReWeight.h",
"ReWeight/GReWeightI.h" => "Tools/ReWeight/GReWeightI.h",
"Tools/ReWeight/GReWeightI.h" => "RwFramework/GReWeightI.h",
"ReWeight/GSystUncertainty.h" => "Tools/ReWeight/GSystUncertainty.h",
"Tools/ReWeight/GSystUncertainty.h" => "RwFramework/GSystUncertainty.h",
"ReWeight/GReWeightNuXSecNCEL.h" => "Tools/ReWeight/GReWeightNuXSecNCEL.h",
"ReWeight/GReWeightUtils.h" => "Tools/ReWeight/GReWeightUtils.h",
"ReWeight/GReWeightFGM.h" => "Tools/ReWeight/GReWeightFGM.h",
"ReWeight/GReWeightNonResonanceBkg.h" => "Tools/ReWeight/GReWeightNonResonanceBkg.h",
"ReWeight/GReWeightFZone.h" => "Tools/ReWeight/GReWeightFZone.h",
"ReWeight/GReWeightNuXSecCCQEaxial.h" => "Tools/ReWeight/GReWeightNuXSecCCQEaxial.h",
"ReWeight/GReWeightNuXSecCOH.h" => "Tools/ReWeight/GReWeightNuXSecCOH.h",
"ReWeight/GReWeightNuXSecCCRES.h" => "Tools/ReWeight/GReWeightNuXSecCCRES.h",
"ReWeight/GReWeightIOBranchDesc.h" => "Tools/ReWeight/GReWeightIOBranchDesc.h",
"ReWeight/GReWeightResonanceDecay.h" => "Tools/ReWeight/GReWeightResonanceDecay.h",
"ReWeight/GReWeightNuXSecCCQE.h" => "Tools/ReWeight/GReWeightNuXSecCCQE.h",
"ReWeight/GReWeightIORecord.h" => "Tools/ReWeight/GReWeightIORecord.h",
"ReWeight/GReWeightNuXSecHelper.h" => "Tools/ReWeight/GReWeightNuXSecHelper.h",
"ReWeight/GReWeightINuke.h" => "Tools/ReWeight/GReWeightINuke.h",
"ReWeight/GReWeightINukeParams.h" => "Tools/ReWeight/GReWeightINukeParams.h",
"ReWeight/GReWeightNuXSecNCRES.h" => "Tools/ReWeight/GReWeightNuXSecNCRES.h",
"ReWeight/GReWeightNuXSecCCQEvec.h" => "Tools/ReWeight/GReWeightNuXSecCCQEvec.h",
"ReWeight/GReWeightNuXSecNC.h" => "Tools/ReWeight/GReWeightNuXSecNC.h",
"ReWeight/GReWeightNuXSecDIS.h" => "Tools/ReWeight/GReWeightNuXSecDIS.h",
"ReWeight/GReWeightDISNuclMod.h" => "Tools/ReWeight/GReWeightDISNuclMod.h",
"ReWeight/GReWeightAGKY.h" => "Tools/ReWeight/GReWeightAGKY.h",
"Tools/ReWeight/GReWeightNuXSecNCEL.h" => "RwCalculators/GReWeightNuXSecNCEL.h",
"Tools/ReWeight/GReWeightUtils.h" => "RwCalculators/GReWeightUtils.h",
"Tools/ReWeight/GReWeightFGM.h" => "RwCalculators/GReWeightFGM.h",
"Tools/ReWeight/GReWeightNonResonanceBkg.h" => "RwCalculators/GReWeightNonResonanceBkg.h",
"Tools/ReWeight/GReWeightFZone.h" => "RwCalculators/GReWeightFZone.h",
"Tools/ReWeight/GReWeightNuXSecCCQEaxial.h" => "RwCalculators/GReWeightNuXSecCCQEaxial.h",
"Tools/ReWeight/GReWeightNuXSecCOH.h" => "RwCalculators/GReWeightNuXSecCOH.h",
"Tools/ReWeight/GReWeightNuXSecCCRES.h" => "RwCalculators/GReWeightNuXSecCCRES.h",
"Tools/ReWeight/GReWeightIOBranchDesc.h" => "RwCalculators/GReWeightIOBranchDesc.h",
"Tools/ReWeight/GReWeightResonanceDecay.h" => "RwCalculators/GReWeightResonanceDecay.h",
"Tools/ReWeight/GReWeightNuXSecCCQE.h" => "RwCalculators/GReWeightNuXSecCCQE.h",
"Tools/ReWeight/GReWeightIORecord.h" => "RwCalculators/GReWeightIORecord.h",
"Tools/ReWeight/GReWeightNuXSecHelper.h" => "RwCalculators/GReWeightNuXSecHelper.h",
"Tools/ReWeight/GReWeightINuke.h" => "RwCalculators/GReWeightINuke.h",
"Tools/ReWeight/GReWeightINukeParams.h" => "RwCalculators/GReWeightINukeParams.h",
"Tools/ReWeight/GReWeightNuXSecNCRES.h" => "RwCalculators/GReWeightNuXSecNCRES.h",
"Tools/ReWeight/GReWeightNuXSecCCQEvec.h" => "RwCalculators/GReWeightNuXSecCCQEvec.h",
"Tools/ReWeight/GReWeightNuXSecNC.h" => "RwCalculators/GReWeightNuXSecNC.h",
"Tools/ReWeight/GReWeightNuXSecDIS.h" => "RwCalculators/GReWeightNuXSecDIS.h",
"Tools/ReWeight/GReWeightDISNuclMod.h" => "RwCalculators/GReWeightDISNuclMod.h",
"Tools/ReWeight/GReWeightAGKY.h" => "RwCalculators/GReWeightAGKY.h",
"Utils/AppInit.h" => "Framework/Utils/AppInit.h"
		       ); }

BEGIN { %class_list = (
"NeutronOscMode.h" => "NNBarOscMode.h",
"NeutronOscMode_t" => "NNBarOscMode_t"
		       ); }

foreach my $inc (sort keys %header_list) {
  s&^(\s*#include\s+["<])\Q$inc\E(.*)&${1}$header_list{$inc}${2}& and last;
}

foreach my $clss (sort keys %class_list) {
  s&\b\Q${clss}\E\b([^\.]|$)&$class_list{$clss}${1}${2}&g;
}
